## sndfile-tools 1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(sndfile-tools
  VERSION 1.5
  DESCRIPTION "Collection of programs for operating on sound files"
  HOMEPAGE_URL "http://libsndfile.github.io/libsamplerate/"
  LANGUAGES C
)

include(CheckIncludeFile)
include(CheckLibraryExists)
include(CMakeDependentOption)
include(CPack)
include(GNUInstallDirs)
include(FeatureSummary)
include(CTest)

find_library(HAVE_LIBM m)
if(HAVE_LIBM)
  check_library_exists(m floor "" HAVE_FLOOR_IN_LIBM)
  if(HAVE_FLOOR_IN_LIBM)
    list(APPEND CMAKE_REQUIRED_LIBRARIES m)
  endif()
endif()

check_include_file(sys/wait.h HAVE_SYS_WAIT_H)

find_package(PkgConfig)

pkg_check_modules(SNDFILE REQUIRED IMPORTED_TARGET sndfile>=1.0.19)
pkg_check_modules(SAMPLERATE REQUIRED IMPORTED_TARGET samplerate>=0.1.5)
pkg_check_modules(FFTW3 REQUIRED IMPORTED_TARGET fftw3>=0.15.0)
pkg_check_modules(CAIRO REQUIRED IMPORTED_TARGET cairo>=1.4.0)
pkg_check_modules(JACK IMPORTED_TARGET jack>=0.100)
if(JACK_FOUND)
  find_package(Threads)
endif()

configure_file(config.h.cmake config.h)
add_compile_definitions(HAVE_CONFIG_H)
include_directories(${PROJECT_BINARY_DIR})

cmake_dependent_option(ENABLE_JACK "Enable libjack" ON "ENABLE_JACK" OFF)

add_executable(sndfile-generate-chirp
  src/generate-chirp.c
  src/common.c
  src/common.h
)
target_link_libraries(sndfile-generate-chirp PRIVATE PkgConfig::SNDFILE)

add_executable(sndfile-spectrogram
  src/spectrogram.c
  src/window.c
  src/common.c
  src/window.h
  src/common.h
  src/spectrum.c
  src/spectrum.h
)
target_link_libraries(sndfile-spectrogram
  PRIVATE
    PkgConfig::SNDFILE
    PkgConfig::FFTW3
    PkgConfig::CAIRO
)

add_executable(sndfile-mix-to-mono
  src/mix-to-mono.c
  src/common.h
  src/common.c
)
target_link_libraries(sndfile-mix-to-mono PRIVATE PkgConfig::SNDFILE)

add_executable(sndfile-waveform
  src/waveform.c
  src/common.c
  src/common.h
)
target_link_libraries(sndfile-waveform
  PRIVATE
    PkgConfig::SNDFILE
    PkgConfig::CAIRO
)

add_executable(sndfile-resample
  src/resample.c
  src/common.c
  src/common.h
)
target_link_libraries(sndfile-resample
  PRIVATE
    PkgConfig::SNDFILE
    PkgConfig::SAMPLERATE
)

if(ENABLE_JACK)
  add_executable(sndfile-jackplay src/jackplay.c)
  target_link_libraries(sndfile-jackplay
    PRIVATE
      PkgConfig::SNDFILE
      PkgConfig::JACK
  )
  if(Threads_FOUND)
    target_link_libraries(sndfile-jackplay PRIVATE Threads::Threads)
  endif()
endif()

set(SNDFILE_TOOLS_TARGETS
  sndfile-generate-chirp
  sndfile-spectrogram
  sndfile-mix-to-mono
  sndfile-waveform
  sndfile-resample
)
if(ENABLE_JACK)
  list(APPEND SNDFILE_TOOLS_TARGETS sndfile-jackplay)
endif()

install(TARGETS ${SNDFILE_TOOLS_TARGETS}
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

set(SNDFILE_TOOLS_MANS
  man/sndfile-generate-chirp.1
  man/sndfile-mix-to-mono.1
  man/sndfile-resample.1
  man/sndfile-spectrogram.1
  man/sndfile-waveform.1
)
if(ENABLE_JACK)
  list(APPEND SNDFILE_TOOLS_MANS man/sndfile-jackplay.1)
endif()

install(FILES ${SNDFILE_TOOLS_MANS} DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

add_feature_info(ENABLE_JACK ENABLE_JACK "build sndfile-jackplay (requires libjack library).")

feature_summary(WHAT ENABLED_FEATURES DISABLED_FEATURES)

if(BUILD_TESTING)
  add_executable(kaiser_window_test tests/kaiser_window_test.c src/window.h src/window.c)
  target_include_directories(kaiser_window_test PRIVATE ${PROJECT_SOURCE_DIR})
  add_test(COMMAND kaiser_window_test NAME kaiser_window_test)

  if(HAVE_SYS_WAIT_H)
    add_executable(common_tests tests/common_tests.c src/common.c src/common.h)
    target_include_directories(common_tests PRIVATE ${PROJECT_SOURCE_DIR})
    add_test(COMMAND common_tests NAME common_tests)
  endif()
endif()

## sndfile-tools 1.03

=== debian/changelog ===
sndfile-tools (1.03-7build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:08:41 +0000

sndfile-tools (1.03-7) unstable; urgency=low

  * debian/rules: Switch from autotools-dev to dh-autoreconf.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Thu, 30 Jan 2014 19:23:00 +1100

sndfile-tools (1.03-6) unstable; urgency=low

  * Ensure config.{sub,guess} up to date for new ports (Closes: #727971).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed, 22 Jan 2014 07:46:41 +1100

sndfile-tools (1.03-5) unstable; urgency=low

  * debian/control : Depend on fonts-dejavu-core instead of ttf-dejavu-core
    (Closes: #736094).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 20 Jan 2014 06:58:21 +1100

sndfile-tools (1.03-4) unstable; urgency=low

  * Ensure config.{sub,guess} up to date for new ports (Closes: #727971).
  * debian/control
    - Standards version 3.9.5. No changes needed.
    - Remove DM-Upload-Allowed.
  * debian/rules: Add hardening flags.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sun, 19 Jan 2014 21:36:43 +1100

sndfile-tools (1.03-3) unstable; urgency=low

  * debian/control
    - Fix spelling of libcairo in description (Closes: 702947).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Thu, 14 Mar 2013 10:44:47 +1100

sndfile-tools (1.03-2) unstable; urgency=low

  * debian/copyright
    - Make copyrights more explicit.
    - Remove empty first paragraph of description (Closes: 563488).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 21 Dec 2009 11:43:11 +1100

sndfile-tools (1.03-1) unstable; urgency=low

  * Initial release (Closes: 559757).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 14 Dec 2009 19:42:42 +1100

=== debian/control ===
Source: sndfile-tools
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
Build-Depends: debhelper (>= 7.0.0), dh-autoreconf, pkg-config, libsndfile1-dev,
 libjack-dev, libfftw3-dev, libcairo2-dev
Standards-Version: 3.9.5
Homepage: http://www.mega-nerd.com/libsndfile/tools/

Package: sndfile-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-dejavu-core
Breaks: sndfile-programs (<< 1.0.21)
Description: Collection of programs for operating on sound files
 sndfile-tools is a collection of programs which use libsndfile and other
 libraries to do useful things like generate spectrograms using libfftw and
 libcairo and play sound via the JACK Audio Connection Kit daemon.

=== debian/watch ===
version=3

http://www.mega-nerd.com/libsndfile/files/ sndfile-tools-([\d\.]+)\.tar\.gz

## sndfile-tools 1.04

=== debian/changelog ===
sndfile-tools (1.04-1) unstable; urgency=medium

  * New upstream version 1.04
    * Drop patches applied upstream
  * Patch to fix spelling
  * Patch to fix privacy breach
  * Breaks/Replaces/Provides samplerate-programs
    * sndfile-tools now includes 'sndfile-resample'
  * Demote dependency on "fonts-dejavu-core" to Recommends (LP: #1394231)
  * Modernize packaging by switching to dh
    * Dropped d/compat
    * Bump debhelper compat to 13
  * Added autopkgtest based on upstream's testsuite
  * Update d/watch to new upstream page at github
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Add Vcs-* stanzas
  * Convert d/copyright to DEP5
    * Generate d/copyright_hints
    * fix 'licensecheck' excludes
  * Bump standards version to 4.5.1
  * New maintainer: Debian Multimedia Maintainers
    * Removed Erik de Castro Lopo: thanks for all the fish
    * Added myself as Uploader

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Jan 2021 09:09:08 +0100

sndfile-tools (1.03-7.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Support DEB_BUILD_OPTIONS=nocheck (Closes: #852735).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 05 Oct 2017 23:26:45 +0200

=== debian/control ===
Source: sndfile-tools
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 autogen,
 pkg-config,
 libasound2-dev [linux-any],
 libsndfile1-dev,
 libsamplerate0-dev,
 libjack-dev,
 libfftw3-dev,
 libcairo2-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.mega-nerd.com/libsndfile/tools/
Vcs-Git: https://salsa.debian.org/multimedia-team/sndfile-tools.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/sndfile-tools

Package: sndfile-tools
Architecture: any
Depends:
 ${shlibs:Depends}, ${misc:Depends},
Recommends:
 fonts-dejavu-core,
Breaks: sndfile-programs (<< 1.0.21), samplerate-programs (<< 0.2.0)
Replaces: samplerate-programs (<< 0.2.0)
Provides: samplerate-programs
Description: Collection of programs for operating on sound files
 sndfile-tools is a collection of programs which use libsndfile and other
 libraries to do useful things like generate spectrograms using libfftw and
 libcairo and play sound via the JACK Audio Connection Kit daemon.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2017 IOhannes m zmölnig
# under the GPL-2+

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \.git/.*|\.pc/.*|doc/.*\.(png|jpg)|debian/(changelog|copyright(|_hints|_newhints))

licensecheck:
	licensecheck --deb-machine -r \
		-i "^\./($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		. > debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
version=4
opts=dversionmangle=auto,\
  repacksuffix=+ds0 \
  https://github.com/libsndfile/sndfile-tools/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## sndfile-tools 1.5

=== debian/changelog ===
sndfile-tools (1.5-4) unstable; urgency=medium

  * Drop unused B-D on 'autogen' (Closes: #1076246)
  * Replace B-D on pkg-config with pkgconf
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 17 Jul 2024 21:07:36 +0200

sndfile-tools (1.5-3) unstable; urgency=medium

  * Don't run autopkgtests on armhf due to valgrind bug #1061496.
    Thanks to Emanuele Rocca <ema@debian.org> (Closes: #1061551)
  * Update copyright information
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Jan 2024 22:54:06 +0100

sndfile-tools (1.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + sndfile-tools: Drop versioned constraint on sndfile-programs in Breaks.

  [ Dennis Braun ]
  * Use libjack-jackd2-dev as preferable B-D and libjack-dev as optional
  * Bump Standards Version to 4.6.1

  [ IOhannes m zmölnig ]
  * Prefer libjack-dev over libjack-jackd2-dev
    (partly reverting Dennis' commit)
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2022 18:49:01 +0200

sndfile-tools (1.5-1) unstable; urgency=medium

  * New upstream version 1.5
  * Fix hardening
  * Add me as uploader
  * Remove spelling patch, applied by upstream
  * Remove privacy patch, obsolete now
  * d/rules: Remove unnecessary ldflags
  * d/watch: Remove trailing whitespace
  * Add d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 09 Feb 2021 21:49:08 +0100

=== debian/control ===
Source: sndfile-tools
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Dennis Braun <d_braun@kabelmail.de>,
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev [linux-any],
 libcairo2-dev,
 libfftw3-dev,
 libjack-dev | libjack-jackd2-dev,
 libsamplerate0-dev,
 libsndfile1-dev,
 pkgconf,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://www.mega-nerd.com/libsndfile/tools/
Vcs-Git: https://salsa.debian.org/multimedia-team/sndfile-tools.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/sndfile-tools

Package: sndfile-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fonts-dejavu-core,
Breaks:
 samplerate-programs (<< 0.2.0),
Replaces:
 samplerate-programs (<< 0.2.0),
Provides:
 samplerate-programs,
Description: Collection of programs for operating on sound files
 sndfile-tools is a collection of programs which use libsndfile and other
 libraries to do useful things like generate spectrograms using libfftw and
 libcairo and play sound via the JACK Audio Connection Kit daemon.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2017 IOhannes m zmölnig
# under the GPL-2+

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	doc/.*\.(png|jpg)|debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/tests/control ===
Tests: upstream-tests
Depends:
 valgrind,
 @,
Architecture: !armhf
